<template>
<tbody class="text-center">
    <tr v-for="user in users" :key="user.id">
        <td>{{ user.id }}</td>
        <td>{{ user.name }}</td>
        <td>{{ user.email }}</td>
        <td>{{ user.type }}</td>
        <td class="dl">{{ user.created_at | moment("jYYYY/jM/jD HH:mm") }}</td>
        <td>
            <a href="#"><i class="fa fa-edit green"></i></a> |
            <a href="#"><i class="fa fa-trash red"></i></a>
        </td>
    </tr>
</tbody>    
</template>
<script>
export default {
    data() {
        return {
            users : {}
        }
    },
    methods: {
        loadUsers(){
        axios.get("api/user").then(({ data })=>( this.users = data.data ))
        },
    },
    created(){
        this.$on('AfterCreated');
        this.loadUsers();
    }
}
</script>
<style lang="">
    
</style>